*
 *
 * Module ctproc.h  V011FM01 === 080989
 *
 *
 *
 * 080989 011F01 sbw  Changed pEntry() declaration for PDP.
 * 091487             original
 *
 *    PROPRIETARY PROGRAM MATERIAL
 * REPRODUCTION OR DISCLOSURE IS PROHIBITED WITHOUT WRITTEN AUTHORIZATION
 * OF THE PATENT DIVISION OF UNISYS CORPORATION, DETROIT, MICHIGAN 48232, USA.
 *
 * COPYRIGHT (C) 1987 BORLAND INTERNATIONAL
 * COPYRIGHT (C) 1989 UNISYS CORPORATION
 *
 *


if	defined(__ERCTYPE)
define	__ERCTYPE

typedef	unsigned	ErcType;
endif

struct	PDP	{
	void		(*far pEntry)() ; * 011F01 sbw *
	unsigned	saData;
	unsigned	saExtra;
	unsigned	saStack;
	unsigned	oStackInit;
	unsigned char	priority;
	char		fSys;
	int		defaultResponseExchange;
	char		fDebug;
	};

ErcType	ChangePriority plm far(int priority);
ErcType	CreateProcess plm far(struct PDP *far pProcessDescriptor);
ErcType	GetUserNumber plm far(int *far pUserNumberRet);
ErcType	QueryProcessNumber plm far(int *far pProcessNumberRet);

^K
D
D



g		